For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet all ReportDefinitions
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIReport Definitions

Get all ReportDefinitions

GET
/v:version/report-definitions
GET
/v:version/report-definitions
$curl https://test.api.solvimon.com/v1/report-definitions \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "report_code": "INVOICE",
6 "category": "INVOICE",
7 "name": "string",
8 "description": "string",
9 "file_name_format": "string",
10 "run_types": [
11 "string"
12 ],
13 "target_resource_types": [
14 "string"
15 ],
16 "columns": [
17 {
18 "name": "string",
19 "order": 1,
20 "default": true,
21 "optional": true
22 }
23 ],
24 "one_off_parameters": [
25 {
26 "name": "report_date",
27 "type": "CUSTOMER_ID",
28 "required": true
29 }
30 ],
31 "scheduled_parameters": [
32 {
33 "name": "report_date",
34 "type": "CUSTOMER_ID",
35 "required": true
36 }
37 ],
38 "trigger_parameters": [
39 {
40 "name": "report_date",
41 "type": "CUSTOMER_ID",
42 "required": true
43 }
44 ]
45 }
46 ],
47 "links": {
48 "first": "string",
49 "previous": "string",
50 "current": "string",
51 "next": "string"
52 },
53 "limit": 1,
54 "page": 1,
55 "total_number_of_pages": 1
56}
Was this page helpful?
Previous

Get a list of payment methods

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error